package com.bonus.canteen.core.allocation.canteen.dto.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("点餐设置Base DTO")
public class AllocCanteenOrderBaseDTO {
   @ApiModelProperty("是否启用点餐配置")
   private Integer ifEnableOrder;
   @ApiModelProperty("允许预订餐/报餐预定当天")
   private String ifAllowReserveToday = "1";
   @ApiModelProperty("预定餐最多允许订多少天 默认:7")
   private String reserveLimitDay = "7";
   @ApiModelProperty("预定餐是否跳过节假日 默认:是")
   private String ifReserveSkipHoliday = "1";
   @ApiModelProperty("今天预订第二天餐次截止时间 HH:mm")
   private String reserveEndTime;
   @ApiModelProperty("预订每天退款截止时间 HH:mm")
   private String reserveRefundEndTime;
   @ApiModelProperty("报餐每天退款截止时间 HH:mm")
   private String bookRefundEndTime;
   @ApiModelProperty("报餐是否跳过节假日 默认:是")
   private String ifBookSkipHoliday;
   @ApiModelProperty("报餐最多允许报多少天")
   private String reportMealLimitDay;
   @ApiModelProperty("今天报餐第二天餐次截止时间 HH:mm")
   private String bookEndTime;
   @ApiModelProperty("开餐前多少小时内，不可取消报餐 默认:2")
   private String nearDinnerCancelBookChargeHour = "2";
   @ApiModelProperty("截止前一天指定时间取消报餐，扣除手续费 HH:mm")
   private String dayBeforeCancelBookChargeTime;
   @ApiModelProperty("取消报餐扣除手续费比例")
   private String cancelBookFeeRatio;

   public Integer getIfEnableOrder() {
      return this.ifEnableOrder;
   }

   public String getIfAllowReserveToday() {
      return this.ifAllowReserveToday;
   }

   public String getReserveLimitDay() {
      return this.reserveLimitDay;
   }

   public String getIfReserveSkipHoliday() {
      return this.ifReserveSkipHoliday;
   }

   public String getReserveEndTime() {
      return this.reserveEndTime;
   }

   public String getReserveRefundEndTime() {
      return this.reserveRefundEndTime;
   }

   public String getBookRefundEndTime() {
      return this.bookRefundEndTime;
   }

   public String getIfBookSkipHoliday() {
      return this.ifBookSkipHoliday;
   }

   public String getReportMealLimitDay() {
      return this.reportMealLimitDay;
   }

   public String getBookEndTime() {
      return this.bookEndTime;
   }

   public String getNearDinnerCancelBookChargeHour() {
      return this.nearDinnerCancelBookChargeHour;
   }

   public String getDayBeforeCancelBookChargeTime() {
      return this.dayBeforeCancelBookChargeTime;
   }

   public String getCancelBookFeeRatio() {
      return this.cancelBookFeeRatio;
   }

   public void setIfEnableOrder(final Integer ifEnableOrder) {
      this.ifEnableOrder = ifEnableOrder;
   }

   public void setIfAllowReserveToday(final String ifAllowReserveToday) {
      this.ifAllowReserveToday = ifAllowReserveToday;
   }

   public void setReserveLimitDay(final String reserveLimitDay) {
      this.reserveLimitDay = reserveLimitDay;
   }

   public void setIfReserveSkipHoliday(final String ifReserveSkipHoliday) {
      this.ifReserveSkipHoliday = ifReserveSkipHoliday;
   }

   public void setReserveEndTime(final String reserveEndTime) {
      this.reserveEndTime = reserveEndTime;
   }

   public void setReserveRefundEndTime(final String reserveRefundEndTime) {
      this.reserveRefundEndTime = reserveRefundEndTime;
   }

   public void setBookRefundEndTime(final String bookRefundEndTime) {
      this.bookRefundEndTime = bookRefundEndTime;
   }

   public void setIfBookSkipHoliday(final String ifBookSkipHoliday) {
      this.ifBookSkipHoliday = ifBookSkipHoliday;
   }

   public void setReportMealLimitDay(final String reportMealLimitDay) {
      this.reportMealLimitDay = reportMealLimitDay;
   }

   public void setBookEndTime(final String bookEndTime) {
      this.bookEndTime = bookEndTime;
   }

   public void setNearDinnerCancelBookChargeHour(final String nearDinnerCancelBookChargeHour) {
      this.nearDinnerCancelBookChargeHour = nearDinnerCancelBookChargeHour;
   }

   public void setDayBeforeCancelBookChargeTime(final String dayBeforeCancelBookChargeTime) {
      this.dayBeforeCancelBookChargeTime = dayBeforeCancelBookChargeTime;
   }

   public void setCancelBookFeeRatio(final String cancelBookFeeRatio) {
      this.cancelBookFeeRatio = cancelBookFeeRatio;
   }

}
